Page 2 of 2 FirstFirst 1 2
Results 11 to 17 of 17

Thread: guzzlr farming script

  1. #11
    Junior Member
    Join Date
    Jul 2008
    Location
    Texas, yep!
    Posts
    5

    Default

    Great!

    Unfortunately, I've gotten all the guzzlrstore items, and will likely not touch this thing again except for claiming the daily cocktail kit.

    (well, actually, not so unfortunately, but you get what I mean...)

  2. #12
    Senior Member
    Join Date
    Oct 2017
    Posts
    596

    Default

    Great!

    Unfortunately, I've gotten all the guzzlrstore items, and will likely not touch this thing again except for claiming the daily cocktail kit.

    (well, actually, not so unfortunately, but you get what I mean...)
    Originally Posted by HojoHominygrits View Post
    I got you covered
    use
    Code:
    set guzzlr_abandonPlatinumForcedAftercore = true
    set guzzlr_abandonPlatinumForcedInrun = true
    then add the following to your login script
    Code:
    cli_execute("guzzlr.ash");
    and it will now automatically take a platinum delivery daily then auto abort it for the cocktail kit
    ttpack = a collection of scripts by taltamir

  3. #13
    Senior Member
    Join Date
    Oct 2017
    Posts
    596

    Default

    @veracity I removed ezandora spacegate and mummery from the dependencies for this script. in case you are still interested
    ttpack = a collection of scripts by taltamir

  4. #14
    Senior Member
    Join Date
    Oct 2017
    Posts
    596

    Default

    @HojoHominygrits
    thinking about your issue some more, I am pretty sure it is not caused by you using master instead of beta. instead it should be caused by clicking no when the scary popup asked if you trust some script.


    You might have been warned by fellow users to not yet update autoscend because of an issue where it crashes immediately saying it cannot find some files.


    this sometimes happens when we move, rename, or add new files (which we have recently done).
    When such a thing occurs mafia (or maybe java) gives a popup asking for new permissions and warns you to only say yes if you trust the source, it sounds scary and people often say no because of it.
    It is also very easy to accidentally say no (IIRC if you are typing in discord when the popup comes, it will become centered on the popup so when you hit enter it hits no).
    This issue can also occur if you had previously used a test version you received through discord instead of mafia


    Just letting everyone know that there is no reason to wait for a fix (because there is nothing broken on our side, your local installation is corrupted). You should go ahead and let it update.
    If you do get this particular issue, there is a very easy fix. in CLI type
    Code:
    svn delete autoscend
    then (assuming you want beta with all the newest updates)
    Code:
    svn checkout https://github.com/Loathing-Associates-Scripting-Society/autoscend/branches/beta/RELEASE/
    this will reinstall autoscend and fix this problem.


    Do not worry, all your settings will be retained. you will not lose anything
    ttpack = a collection of scripts by taltamir

  5. #15
    Developer Veracity's Avatar
    Join Date
    Mar 2006
    Location
    The Unseelie Court
    Posts
    13,311

    Default

    @HojoHominygrits
    thinking about your issue some more, I am pretty sure it is not caused by you using master instead of beta. instead it should be caused by clicking no when the scary popup asked if you trust some script.
    Originally Posted by taltamir View Post
    Well, except the whole part where it pulls in all sorts of other stuff - including Relay Scripts which have nothing whatsoever to do with the operation of this script.

    I completely get it. You don't get to modify my Relay Browser experience in order to provide some random script which provides nothing to the Relay Browser..
    Ph'nglui mglw'nafh Cthulhu
    R'lyeh wgah-nagl fhtagn.

  6. #16
    Senior Member
    Join Date
    Oct 2017
    Posts
    596

    Default

    Well, except the whole part where it pulls in all sorts of other stuff - including Relay Scripts which have nothing whatsoever to do with the operation of this script.
    Originally Posted by Veracity View Post
    hojohominygrits could not run guzzlr script receiving the error of
    autoscend/paths/standard.ash could not be found (autoscend.ash, line 63)
    this came about because in May 8th 2020 this PR was merged into autoscend
    https://github.com/Loathing-Associat...scend/pull/366
    which redesigned the directory structure of autoscend. and was later pushed to master as well.

    the file `autoscend/auto_standard.ash` became `autoscend/paths/standard.ash` with many similar changes.
    This is not a dependency of autoscend, but an internal component file of autoscend script.
    autoscend is a dependency for guzzlr script though

    when mafia did SVN update for hojohominygrits it noticed their autoscend version is outdated and auto updated it.
    It then gave a scary looking prompt about "only say yes if you trust the author" because of the changes to directory structure and hojohominygrits clicked no.
    This resulted in their autoscend installation being corrupted. The solution to which is to uninstall and then reinstall autoscend.
    I completely get it. You don't get to modify my Relay Browser experience in order to provide some random script which provides nothing to the Relay Browser..
    1. I removed both dependencies you complained about.

    2. Only one of all the dependencies was a rely only script. and that was an error caused by me thinking it was the source of certain CLI commands and thus a functional requirement.

    3. The dependencies are actually used. And I am working on reducing them by copying over individual functions as needed. Although most said dependencies are used in other pack scripts (primarily in tt_login which is in beta right now and needs a lot of work) rather than the guzzlr script. If there is demand for it I will spinoff guzzlr out of the pack so people can get it without dependencies (other than autoscend on which it is really dependent).

    4. I didn't think anyone would be bothered by it. Lesson learned, I will list dependencies in the first post to warn people and try to minimize their amount
    Last edited by taltamir; 06-12-2020 at 07:59 PM.
    ttpack = a collection of scripts by taltamir

  7. #17
    Senior Member
    Join Date
    Feb 2010
    Posts
    1,155

    Default

    I tried the new functionality to open the Pirate zones today and it failed. I added details to the closed issue on Github.
    Last edited by Magus_Prime; 06-18-2020 at 06:32 PM.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •